Skip to main content
GET
/
api
/
v2
/
workspaces
/
{workspaceId}
/
investigation
/
users
/
directory-logs
List directory logs
curl --request GET \
  --url https://api.example.com/api/v2/workspaces/{workspaceId}/investigation/users/directory-logs
{
  "data": {
    "items": [
      {
        "date": "2023-11-07T05:31:56Z",
        "service": "<string>",
        "activity": "<string>",
        "category": "<string>",
        "status": "<string>",
        "statusReason": "<string>",
        "targetResources": [
          "<string>"
        ],
        "targets": "<string>",
        "actor": "<string>"
      }
    ],
    "nextPageLink": "<string>",
    "message": "<string>",
    "canRetrieveData": true
  },
  "meta": {
    "requestId": "<string>",
    "timestamp": "<string>"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.contraforce.com/llms.txt

Use this file to discover all available pages before exploring further.

Path Parameters

workspaceId
string<uuid>
required

Query Parameters

UserId
string
TimeFilteringType
any
required
Available options:
ThreeHours,
SixHours,
TwelveHours,
TwentyFourHours,
FourtyEightHours,
Custom,
null
StartDate
string<date-time>
EndDate
string<date-time>
EntityName
string
ResourceId
string
ResourceName
string

Response

OK

Standard v2 API response envelope for single-item responses.

data
object
meta
object